Subject: Re: [PATCH 5/5] net: ch9200: avoid triggering NWay restart on non-zero PHY ID

From: Jakub Kicinski <[email-masked]>
Date: Tue, 15 Apr 2025 20:52:30 -0700

On Tue, 15 Apr 2025 03:35:07 +0200 Andrew Lunn wrote:
> > @@ -182,7 +182,7 @@ static int ch9200_mdio_read(struct net_device *netdev, int phy_id, int loc)
> >  		   __func__, phy_id, loc);
> >  
> >  	if (phy_id != 0)
> > -		return -ENODEV;
> > +		return 0;  
> 
> An actually MDIO bus would return 0xffff is asked to read from a PHY
> which is not on the bus. But i've no idea how the ancient mii code
> handles this.
> 
> If this code every gets updated to using phylib, many of the changes
> you are making will need reverting because phylib actually wants to
> see the errors. So i'm somewhat reluctant to make changes like this.

Right.

I mean most of the patches seem to be adding error checking, unlike
this one, but since Qasim doesn't have access to this HW they are
more likely to break stuff than fix. I'm going to apply the first
patch, Qasim if you'd like to clean up the rest I think it should
be done separately without the Fixes tags, if at all.